<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <import type="com.lukouguoji.module_base.ui.weight.data.layout.DataLayoutType" />

        <variable
            name="model"
            type="com.lukouguoji.gjc.dialog.GjcQueryFilterDialogModel" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:orientation="vertical">

        <!-- 状态栏占位 -->
        <View
            android:layout_width="match_parent"
            android:layout_height="25dp"
            android:background="@color/white" />

        <!-- 标题栏 -->
        <include layout="@layout/title_tool_bar" />

        <com.google.android.material.divider.MaterialDivider
            android:layout_width="match_parent"
            android:layout_height="1dp"/>

        <!-- 筛选条件区域 -->
        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:padding="15dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <!-- 特码 -->
                <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                    hint='@{"请输入特码"}'
                    title='@{"特码"}'
                    titleLength="@{4}"
                    type="@{DataLayoutType.INPUT}"
                    value='@={model.spCode}'
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="10dp" />

                <!-- 航班号 -->
                <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                    hint='@{"请输入航班号"}'
                    title='@{"航班号"}'
                    titleLength="@{4}"
                    type="@{DataLayoutType.INPUT}"
                    value='@={model.flightNo}'
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="10dp" />

                <!-- 目的港 -->
                <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                    hint='@{"请输入目的港"}'
                    title='@{"目的港"}'
                    titleLength="@{4}"
                    type="@{DataLayoutType.INPUT}"
                    value='@={model.dest}'
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="10dp" />

                <!-- 运单类型 -->
                <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                    hint='@{"请选择运单类型"}'
                    list="@{model.awbTypeList}"
                    title='@{"运单类型"}'
                    titleLength="@{4}"
                    type="@{DataLayoutType.SPINNER}"
                    value='@={model.awbType}'
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="10dp" />

                <!-- 业务类型 -->
                <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                    hint='@{"请选择业务类型"}'
                    list="@{model.businessTypeList}"
                    title='@{"业务类型"}'
                    titleLength="@{4}"
                    type="@{DataLayoutType.SPINNER}"
                    value='@={model.businessType}'
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="10dp" />

                <!-- 品名(中) -->
                <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                    hint='@{"请输入品名"}'
                    title='@{"品名(中)"}'
                    titleLength="@{4}"
                    type="@{DataLayoutType.INPUT}"
                    value='@={model.goodsCn}'
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="10dp" />

                <!-- 底部按钮区域 -->
                <LinearLayout
                    android:layout_width="300dp"
                    android:layout_height="50dp"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="32dp"
                    android:background="@color/white"
                    android:gravity="center"
                    android:orientation="horizontal"
                    android:paddingHorizontal="15dp">

                    <!-- 重置按钮 -->
                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="40dp"
                        android:layout_marginRight="24dp"
                        android:layout_weight="1"
                        android:background="@drawable/bg_primary_radius_4"
                        android:gravity="center"
                        android:onClick="@{()-> model.onResetClick()}"
                        android:text="重置"
                        android:textColor="@color/white"
                        android:textSize="16sp" />

                    <!-- 搜索按钮 -->
                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="40dp"
                        android:layout_weight="1"
                        android:background="@drawable/bg_primary_radius_4"
                        android:gravity="center"
                        android:onClick="@{()-> model.onConfirmClick()}"
                        android:text="搜索"
                        android:textColor="@color/white"
                        android:textSize="16sp" />

                </LinearLayout>

            </LinearLayout>


        </ScrollView>


    </LinearLayout>

</layout>
